@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;600&display=swap");

/*===== VARIABLES CSS =====*/
:root {
  --header-height: 3rem;

  /*===== Colors =====*/
  --first-color: #5B65F5;
  --first-color-light: #C4C7F5;
  --dark-color: #0E1026;
  --white-color: #FBFBFB;

  /*===== Font and typography =====*/
  --body-font: 'Open Sans', sans-serif;
  --nav-name-font-size: 1.5rem;
  --normal-font-size: .938rem;

  /*===== z index =====*/
  --z-fixed: 100;
}

@media screen and (min-width: 768px) {
  :root {
    --nav-name-font-size: 1rem;
    --normal-font-size: 1rem;
  }
}

/*===== BASE =====*/
*,
::before,
::after {
  box-sizing: border-box;
}

body {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  font-weight: 600;
}

.top-nav-head {
  padding: 0;
  margin: 0;
}

.top-nav-head ul {
  margin: 0;
  list-style: none;
}

.top-nav-head ul>li {
  line-height: 40px;
  text-transform: capitalize;
}

.top-nav-head a {
  color: #3f1fa1;
  text-decoration: none;
}


header .container {
  display: flex;
  align-items: center;
  position: relative;
}


@media screen and (min-width: 1025px) {

  .top-nav-head>a {
    display: none;
  }

  .top-nav-head * {
    padding: 0;
    margin: 0;
  }

  .top-nav-head>ul {
    display: flex;
    flex-wrap: wrap;
  }

  .top-nav-head>ul>li {
    font-weight: 700;
    cursor: pointer;
    line-height: 28px;
    text-align: center;
    font-size: 14px;
    padding: 4px;
    position: relative;
  }

  .top-nav-head>ul>li a:hover {
    color: #ff5757;
  }

  .top-nav-head>ul> :first-child {
    margin-left: -15px;
  }

  .top-nav-head>ul>li ul li {
    border-bottom: 1px solid #401fa226;
    cursor: pointer;
  }

  .top-nav-head>ul>li ul li a:hover {
    color: #ff5757;
  }

  .top-nav-head ul>li ul {
    position: absolute;
    padding: .5rem 1.5rem;
    box-shadow: 0 2px 4px rgb(0 0 0 / 10%);
    border-radius: .5rem;
    background: #fff;
    display: none;
    width: 300px;
    text-align: left;
  }

  .top-nav-head ul>li>ul>li>ul>li>ul,
  .top-nav-head ul>li>ul>li>ul {
    border-left: 1px solid #00baff;
    margin-left: 200px;
    margin-top: -40px;
  }

  .top-nav-head ul>li ul li a {
    color: #0e1026;
    font-size: 14px;
    letter-spacing: 0px;
  }

  .top-nav-head ul>li:hover>ul {
    display: block;
  }
}

@media screen and (max-width: 1025px) {

  .top-nav-head>ul li {
    font-weight: 700;
    border-bottom: 1px solid #00baff;
  }

  .top-nav-head *>li>a {
    border: 1px solid #00baff;
    display: block;
    width: 100%;
    height: 100%;
    color: #fff;
    padding-left: 15px;
  }

  .top-nav-head li a:focus {
    background: #00baff;
  }

  .top-nav-head * li:last-child {
    border-bottom: 0;
  }

  .top-nav-head>a {
    margin-top: 5px;
    margin-left: 5px;
    display: inline-block;
    color: #505050;
    text-align: right;
    float: right;
    width: 100%;
  }

  .top-nav-head>ul {
    display: none;
    background: #242425d6;
    position: absolute;
    top: 55px;
    width: 250px;
    right: 0px;
  }

  .top-nav-head ul>li>ul,
  .top-nav-head ul>li>ul>li>ul>li>ul,
  .top-nav-head ul>li>ul>li>ul {
    display: none;
  }
}


@media screen and (min-width: 1026px) and (max-width: 1179px) {

  .top-nav-head>ul>li {
    font-size: 12px;
    padding: 6px;
  }

}

@media screen and (min-width: 320px) and (max-width: 768px) {
  body {
      margin: 0;
  }
}